#include<bits/stdc++.h>
using namespace std;
string s,s1;
int n;
void del(string a)
{
    char c;
    c = a[0];
    for(int i = 0; i < s.size(); i++)
    {
        if(s[i] == c)
        {
            if(s.substr(i,a.size()) == a)s.erase(i,a.size());
        }
    }
}
int main ()
{
cin>>s;
cin>>n;
for(int i = 0; i < n; i++)
{
    cin>>s1;
    del(s1);
}
cout<<s<<endl;
return 0;
}
